#

API Docs for:
Show: Inherited Protected Private Deprecated

# LGraphNode Class

Defined in: `../src/litegraph.js:1692`

Base Class for all the node type classes

- Index
- Methods

## Item Index

### Methods

- addConnection
- addInput
- addInputs
- addOutput
- addOutputs
- addProperty
- addWidget
- collapse
- computeSize
- configure
- connect
- disconnectInput
- disconnectOutput
- findInputSlot
- findOutputSlot
- getBounding
- getConnectionPos
- getInputData
- getInputDataByName
- getInputInfo
- getInputNode
- getInputOrProperty
- getOutputData
- getOutputInfo
- getOutputNodes
- getSlotInPosition
- getTitle
- isAnyOutputConnected
- isInputConnected
- isOutputConnected
- isPointInside
- pin
- removeInput
- removeOutput
- serialize
- setOutputData
- toString
- trigger
- triggerSlot

## Methods

### `addConnection`

(

- `name`
- `type`
- `pos`
- `direction`

)

Defined in `../src/litegraph.js:2434`

add an special connection to this node (used for special kinds of graphs)

#### Parameters:

- `name` String
- `type` String

  string defining the input type ("vec3","number",...)

- `pos` x,y

  position of the connection inside the node

- `direction` String

  if is input or output

### `addInput`

(

- `name`
- `type`
- `extra_info`

)

Defined in `../src/litegraph.js:2371`

add a new input slot to use in this node

#### Parameters:

- `name` String
- `type` String

  string defining the input type ("vec3","number",...), it its a generic one use 0

- `extra_info` Object

  this can be used to have special properties of an input (label, color, position, etc)

### `addInputs`

(

- `array`

)

Defined in `../src/litegraph.js:2395`

add several new input slots in this node

#### Parameters:

- `array` Array

  of triplets like [[name,type,extra_info],[...]]

### `addOutput`

(

- `name`
- `type`
- `extra_info`

)

Defined in `../src/litegraph.js:2309`

add a new output slot to use in this node

#### Parameters:

- `name` String
- `type` String

  string defining the output type ("vec3","number",...)

- `extra_info` Object

  this can be used to have special properties of an output (label, special color, position, etc)

### `addOutputs`

(

- `array`

)

Defined in `../src/litegraph.js:2332`

add a new output slot to use in this node

#### Parameters:

- `array` Array

  of triplets like [[name,type,extra_info],[...]]

### `addProperty`

(

- `name`
- `default_value`
- `type`
- `extra_info`

)

Defined in `../src/litegraph.js:2283`

add a new property to this node

#### Parameters:

- `name` String
- `default_value`
- `type` String

  string defining the output type ("vec3","number",...)

- `extra_info` Object

  this can be used to have special properties of the property (like values, etc)

### `addWidget`

() Float32Array4

Defined in `../src/litegraph.js:2510`

Allows to pass

#### Returns:

Float32Array4:

the total size

### `collapse`

()

Defined in `../src/litegraph.js:3072`

Collapse the node to make it smaller on the canvas

### `computeSize`

(

- `minHeight`

)
Number

Defined in `../src/litegraph.js:2455`

computes the size of a node according to its inputs and output slots

#### Parameters:

- `minHeight` Number

#### Returns:

Number:

the total size

### `configure`

()

Defined in `../src/litegraph.js:1744`

configure a node from an object containing the serialized info

### `connect`

(

- `slot`
- `node`
- `target_slot`

)
Boolean

Defined in `../src/litegraph.js:2640`

connect this node output to the input of another node

#### Parameters:

- `slot` Number_or_string

  (could be the number of the slot or the string with the name of the slot)

- `node` LGraphNode

  the target node

- `target_slot` Number_or_string

  the input slot of the target node (could be the number of the slot or the string with the name of the slot, or -1 to connect a trigger)

#### Returns:

Boolean:

if it was connected succesfully

### `disconnectInput`

(

- `slot`

)
Boolean

Defined in `../src/litegraph.js:2870`

disconnect one input

#### Parameters:

- `slot` Number_or_string

  (could be the number of the slot or the string with the name of the slot)

#### Returns:

Boolean:

if it was disconnected succesfully

### `disconnectOutput`

(

- `slot`
- `target_node`

)
Boolean

Defined in `../src/litegraph.js:2768`

disconnect one output to an specific node

#### Parameters:

- `slot` Number_or_string

  (could be the number of the slot or the string with the name of the slot)

- `target_node` LGraphNode

  the target node to which this slot is connected [Optional, if not target_node is specified all nodes will be disconnected]

#### Returns:

Boolean:

if it was disconnected succesfully

### `findInputSlot`

(

- `name`

)
Number

Defined in `../src/litegraph.js:2609`

returns the input slot with a given name (used for dynamic slots), -1 if not found

#### Parameters:

- `name` String

  the name of the slot

#### Returns:

Number:

the slot (-1 if not found)

### `findOutputSlot`

(

- `name`

)
Number

Defined in `../src/litegraph.js:2625`

returns the output slot with a given name (used for dynamic slots), -1 if not found

#### Parameters:

- `name` String

  the name of the slot

#### Returns:

Number:

the slot (-1 if not found)

### `getBounding`

() Float32Array4

Defined in `../src/litegraph.js:2538`

returns the bounding of the object, used for rendering purposes bounding is: [topleft_cornerx, topleft_cornery, width, height]

#### Returns:

Float32Array4:

the total size

### `getConnectionPos`

(

- `is_input`
- `slot`

)
x,y

Defined in `../src/litegraph.js:2939`

returns the center of a connection point in canvas coords

#### Parameters:

- `is_input` Boolean

  true if if a input slot, false if it is an output

- `slot` Number_or_string

  (could be the number of the slot or the string with the name of the slot)

#### Returns:

x,y:

the position

### `getInputData`

(

- `slot`
- `force_update`

)

Defined in `../src/litegraph.js:1991`

Retrieves the input data (data traveling through the connection) from one slot

#### Parameters:

- `slot` Number
- `force_update` Boolean

  if set to true it will force the connected node of this slot to output data into this link

#### Returns:

:

data or if it is not connected returns undefined

### `getInputDataByName`

(

- `slot_name`
- `force_update`

)

Defined in `../src/litegraph.js:2027`

Retrieves the input data from one slot using its name instead of slot number

#### Parameters:

- `slot_name` String
- `force_update` Boolean

  if set to true it will force the connected node of this slot to output data into this link

#### Returns:

:

data or if it is not connected returns null

### `getInputInfo`

(

- `slot`

)
Object

Defined in `../src/litegraph.js:2056`

tells you info about an input connection (which node, type, etc)

#### Parameters:

- `slot` Number

#### Returns:

Object:

object or null { link: id, name: string, type: string or 0 }

### `getInputNode`

(

- `slot`

)
LGraphNode

Defined in `../src/litegraph.js:2071`

returns the node connected in the input slot

#### Parameters:

- `slot` Number

#### Returns:

LGraphNode:

node or null

### `getInputOrProperty`

(

- `name`

)

Defined in `../src/litegraph.js:2093`

returns the value of an input with this name, otherwise checks if there is a property with that name

#### Parameters:

- `name` String

#### Returns:

:

value

### `getOutputData`

(

- `slot`

)
Object

Defined in `../src/litegraph.js:2117`

tells you the last output data that went in that slot

#### Parameters:

- `slot` Number

#### Returns:

Object:

object or null

### `getOutputInfo`

(

- `slot`

)
Object

Defined in `../src/litegraph.js:2135`

tells you info about an output connection (which node, type, etc)

#### Parameters:

- `slot` Number

#### Returns:

Object:

object or null { name: string, type: string, links: [ ids of links in number ] }

### `getOutputNodes`

(

- `slot`

)
Array

Defined in `../src/litegraph.js:2180`

retrieves all the nodes connected to this output slot

#### Parameters:

- `slot` Number

#### Returns:

Array:

### `getSlotInPosition`

(

- `x`
- `y`

)
Object

Defined in `../src/litegraph.js:2578`

checks if a point is inside a node slot, and returns info about which slot

#### Parameters:

- `x` Number
- `y` Number

#### Returns:

Object:

if found the object contains { input|output: slot object, slot: number, link_pos: [x,y] }

### `getTitle`

()

Defined in `../src/litegraph.js:1942`

get the title string

### `isAnyOutputConnected`

() Boolean

Defined in `../src/litegraph.js:2164`

tells you if there is any connection in the output slots

#### Returns:

Boolean:

### `isInputConnected`

(

- `slot`

)
Boolean

Defined in `../src/litegraph.js:2043`

tells you if there is a connection in one input slot

#### Parameters:

- `slot` Number

#### Returns:

Boolean:

### `isOutputConnected`

(

- `slot`

)
Boolean

Defined in `../src/litegraph.js:2151`

tells you if there is a connection in one output slot

#### Parameters:

- `slot` Number

#### Returns:

Boolean:

### `isPointInside`

(

- `x`
- `y`

)
Boolean

Defined in `../src/litegraph.js:2554`

checks if a point is inside the shape of a node

#### Parameters:

- `x` Number
- `y` Number

#### Returns:

Boolean:

### `pin`

()

Defined in `../src/litegraph.js:3088`

Forces the node to do not move or realign on Z

### `removeInput`

(

- `slot`

)

Defined in `../src/litegraph.js:2420`

remove an existing input slot

#### Parameters:

- `slot` Number

### `removeOutput`

(

- `slot`

)

Defined in `../src/litegraph.js:2357`

remove an existing output slot

#### Parameters:

- `slot` Number

### `serialize`

()

Defined in `../src/litegraph.js:1848`

serialize the content

### `setOutputData`

(

- `slot`
- `data`

)

Defined in `../src/litegraph.js:1955`

sets the output data

#### Parameters:

- `slot` Number
- `data`

### `toString`

()

Defined in `../src/litegraph.js:1930`

serialize and stringify

### `trigger`

(

- `event`
- `param`

)

Defined in `../src/litegraph.js:2213`

Triggers an event in this node, this will trigger any output with the same name

#### Parameters:

- `event` String

  name ( "on_play", ... ) if action is equivalent to false then the event is send to all

- `param`

### `triggerSlot`

(

- `slot`
- `param`

)

Defined in `../src/litegraph.js:2236`

Triggers an slot event in this node

#### Parameters:

- `slot` Number

  the index of the output slot

- `param`